Summary: Eye of GNOME image viewer
Name:    eog
Version: 43.1
Release: 5%{?dist}
License: GPLv2+ and GFDL
URL:     https://wiki.gnome.org/Apps/EyeOfGnome
Source0: https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(exempi-2.0) pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(glib-2.0) pkgconfig(gnome-desktop-3.0) pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gsettings-desktop-schemas) pkgconfig(gtk+-3.0) pkgconfig(lcms2)
BuildRequires: pkgconfig(libexif) pkgconfig(libhandy-1) pkgconfig(libjpeg) pkgconfig(libpeas-1.0)
BuildRequires: pkgconfig(libpeas-gtk-1.0) pkgconfig(librsvg-2.0) pkgconfig(shared-mime-info) pkgconfig(x11)
BuildRequires: desktop-file-utils gettext itstool meson zlib-devel /usr/bin/appstream-util
Requires:      gsettings-desktop-schemas glib2 gtk3 libhandy

Provides:      bundled(libjpeg)

%description
The Eye of GNOME image viewer (eog) is the official image viewer for the GNOME desktop. It can view
single image files in a variety of formats, as well as large image collections.

eog is extensible through a plugin system.

%package devel
Summary: Support for developing plugins for the eog image viewer
Requires: %{name} = %{version}-%{release}

%description devel
The Eye of GNOME image viewer (eog) is the official image viewer for the GNOME desktop. This package
allows you to develop plugins that add new functionality to eog.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
       -Dgtk_doc=false \
       -Dinstalled_tests=false \
       -Dlibportal=false
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/eog.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.eog.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_datadir}/eog
%{_datadir}/applications/org.gnome.eog.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_libdir}/eog
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/org.gnome.eog.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.gschema.xml
%{_bindir}/eog
%{_metainfodir}/eog.appdata.xml

%files devel
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/eog.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 43.1-4
- Rebuilt for librsvg2 2.56.90

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 43.1-1
- initial build
